@ECHO OFF
Echo ***** Start to update ME FW *****
SET Binfile="%~dp0\CNP_H_B_Corp_FWU_Base_Production.bin"
IF "%PROCESSOR_ARCHITECTURE%"=="x86" GOTO Corp_32bit

:Corp_64bit
SET FWUPDTool="%~dp0\FWUpdLcl64.exe"
start /b /wait "" %FWUPDTool% -F %Binfile% -OEMID 4C656E6F-766F-0000-0000-000000000000 -allowsv -FORCERESET
GOTO RESTART

:Corp_32bit
SET FWUPDTool="%~dp0\FWUpdLcl.exe"
start /b /wait "" %FWUPDTool% -F %Binfile% -OEMID 4C656E6F-766F-0000-0000-000000000000 -allowsv -FORCERESET

:RESTART
echo *****update Finished ******

:END